Main Page Class Hierarchy Compound List File List Compound Members File Members

# TRACE_HEADER Struct Reference

`#include <trace_buf.h>`

List of all members.

## Public Attributes
int | pinno
int | nsamp
double | starttime
double | endtime
double | samprate
char | sta [TRACE_STA_LEN]
char | net [TRACE_NET_LEN]
char | chan [TRACE_CHAN_LEN]
char | datatype [3]
char | quality [2]
char | pad [2]

## Member Data Documentation

char TRACE_HEADER::chan[TRACE_CHAN_LEN]

| Definition at line 71 of file trace_buf.h. Referenced by AHPA_next(), SUDSPA_next(), and TANKPA_next().

char TRACE_HEADER::datatype[3]

| Definition at line 72 of file trace_buf.h. Referenced by AHPA_next(), pa_find_data(), SACPABase_write_trace(), SUDSPA_next(), TANKPA_next(), and WaveMsgMakeLocal().

double TRACE_HEADER::endtime

| Definition at line 67 of file trace_buf.h. Referenced by AHPA_next(), pa_find_data(), SACPABase_write_trace(), SUDSPA_next(), and WaveMsgMakeLocal().

char TRACE_HEADER::net[TRACE_NET_LEN]

| Definition at line 70 of file trace_buf.h. Referenced by AHPA_next(), SUDSPA_next(), and TANKPA_next().

int TRACE_HEADER::nsamp

| Definition at line 64 of file trace_buf.h. Referenced by AHPA_next(), pa_find_data(), SACPABase_write_trace(), SUDSPA_next(), TANKPA_next(), and WaveMsgMakeLocal().

char TRACE_HEADER::pad[2]

| Definition at line 74 of file trace_buf.h.

int TRACE_HEADER::pinno

| Definition at line 63 of file trace_buf.h. Referenced by WaveMsgMakeLocal().

char TRACE_HEADER::quality[2]

| Definition at line 73 of file trace_buf.h.

double TRACE_HEADER::samprate

| Definition at line 68 of file trace_buf.h. Referenced by AHPA_next(), pa_find_data(), SACPABase_write_trace(), SUDSPA_next(), and WaveMsgMakeLocal().

char TRACE_HEADER::sta[TRACE_STA_LEN]

| Definition at line 69 of file trace_buf.h. Referenced by AHPA_next(), SUDSPA_next(), and TANKPA_next().

double TRACE_HEADER::starttime

| Definition at line 65 of file trace_buf.h. Referenced by AHPA_next(), pa_find_data(), SACPABase_write_trace(), SUDSPA_next(), and WaveMsgMakeLocal().

The documentation for this struct was generated from the following file:

- trace_buf.h